### Function

# Gdkkeyval_name

#### Declaration [src]

    const char*
    gdk_keyval_name (
      guint keyval
    )

#### Description [src]

Converts a key value into a symbolic name.

The names are the same as those in the `gdk/gdkkeysyms.h` header file but without the leading “GDK_KEY_”.

#### Parameters

`keyval`

  Type: `guint`

  A key value.

#### Return value

Type: `const char*`

A string containing the name of the key.

The data is owned by the called function.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.